{
  "folders": [
    {
      "name": "GDrive Upload",
      "path": "./.."
    }
  ],
  "settings": {
    "workbench.colorCustomizations": {
      "activityBar.background": "#00071e",
      "activityBar.foreground": "#f6768e",
      "activityBar.inactiveForeground": "#76f6f67f"
    },
    "css.validate": false,
    "editor.formatOnPaste": true,
    "editor.formatOnSave": true,
    "editor.useTabStops": false,
    "eslint.validate": [
      "javascript",
      "javascriptreact",
      "typescriptreact",
      "typescript"
    ],
    "eslint.workingDirectories": [
      {
        "mode": "auto"
      }
    ],
    "javascript.updateImportsOnFileMove.enabled": "always",
    "less.validate": false,
    "scss.validate": true,
    "[typescript]": {
      "editor.defaultFormatter": "esbenp.prettier-vscode"
    },
    "[html]": {
      "editor.defaultFormatter": "esbenp.prettier-vscode"
    },
    "[json]": {
      "editor.defaultFormatter": "esbenp.prettier-vscode"
    },
    "[javascript]": {
      "editor.defaultFormatter": "esbenp.prettier-vscode"
    },
    "editor.codeActionsOnSave": {
      "source.fixAll.eslint": true,
      "source.addMissingImports": true,
      "source.organizeImports": true
    },
    "[typescriptreact]": {
      "editor.defaultFormatter": "esbenp.prettier-vscode"
    },
    "files.associations": {
      "Dockerfile-*": "dockerfile",
      "*.env.example": "env",
      "*.js.example": "javascript",
      "*.html.erb": "html"
    },
    "files.exclude": {
      "node_modules/": false
    },
    "search.useIgnoreFiles": false,
    "search.useGlobalIgnoreFiles": false,
    "search.exclude": {
      "node_modules": true,
      "package-lock.json": true,
      ".cache": true,
      "dist": true,
      "site/.next": true
    },
    "typescript.preferences.importModuleSpecifier": "relative",
    "git.ignoreLimitWarning": true,
    "codeTemplateTool.templatesPath": "{workspace}/site/.vscode/templates",
    "cSpell.language": "en,de",
    "thunder-client.workspaceRelativePath": ".vscode",
    "graphql-codegen.filePathToWatch": "{workspace}/src/queries/**/*.graphql",
    "graphql-codegen.configFilePath": "{workspace}/.graphqlrc.js"
  }
}
